DCMTK: DVStudyCache Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
DVStudyCache Class Reference

A class to handle a study cache (list of items). More...

## Classes
struct | ItemStruct
| Internal structure defining the list items. More...

## Public Member Functions
| DVStudyCache ()
| Constructor.
virtual | ~DVStudyCache ()
| Destructor.
void | clear ()
| reset all member variables to initial state delete all list items.
OFBool | empty () const
| checks whether study cache is empty
Uint32 | getCount () const
| gets number of cache entries
OFBool | gotoItem (Uint32 idx)
| sets internal cursor to specified position in cache list
OFBool | gotoFirst ()
| sets internal cursor to first position in cache list
OFBool | gotoNext ()
| sets internal cursor to next position in cache list
OFBool | isElem (const OFString &uid)
| checks whether an item with the specified UID exists in the cache list
DVIFhierarchyStatus | getStatus () const
| gets review status of the current (selected) sstudy
ItemStruct * | getItem () const
| gets reference to current (selected) study
void | addItem (const OFString &uid, const DVIFhierarchyStatus status=DVIF_objectIsNew)
| adds a new item to the cache list.
void | updateStatus ()
| updates hierarchical/review status for all list items.

## Protected Member Functions
| OFListIterator (ItemStruct *) Iterator
| internal cursor to current (selected) list item

## Protected Attributes
OFList< ItemStruct * > | List
| list of studies

## Detailed Description

A class to handle a study cache (list of items).

This is the highest level in the hierarchical cache structure. This class is used by DVInterface. The internal structure is a list of DVSeriesCache.

## Member Function Documentation

## ◆ addItem()

void DVStudyCache::addItem | ( | const OFString & | uid,
|  | const DVIFhierarchyStatus | status = DVIF_objectIsNew )
| inline

adds a new item to the cache list.

sets internal cursor to new position.

Parameters

  uid | unique identifier
  status | review status (optional)

References List.

## ◆ empty()

OFBool DVStudyCache::empty | ( |  | ) | const
| inline

checks whether study cache is empty

Returns
  OFTrue if cache is empty, OFFalse otherwise

References List.

## ◆ getCount()

Uint32 DVStudyCache::getCount | ( |  | ) | const
| inline

gets number of cache entries

Returns
  number of cache entries

References List.

## ◆ getItem()

ItemStruct * DVStudyCache::getItem | ( |  | ) | const
| inline

gets reference to current (selected) study

Returns
  pointer to ItemStruct if successful, NULL otherwise

References List.

Referenced by getStatus().

## ◆ getStatus()

DVIFhierarchyStatus DVStudyCache::getStatus | ( |  | ) | const
| inline

gets review status of the current (selected) sstudy

Returns
  hierarchical status code if successful, 'isNew' otherwise

References getItem(), and DVStudyCache::ItemStruct::Status.

## ◆ gotoFirst()

OFBool DVStudyCache::gotoFirst | ( |  | ) |
| inline

sets internal cursor to first position in cache list

Returns
  OFTrue if successful, OFFalse if list is empty

References List.

## ◆ gotoItem()

OFBool DVStudyCache::gotoItem | ( | Uint32 | idx | ) |
| inline

sets internal cursor to specified position in cache list

Parameters

  idx | index position in cache list (starting with 0)

Returns
  OFTrue if successful, OFFalse if 'idx' is invalid

References List, and OFListIterator().

## ◆ gotoNext()

OFBool DVStudyCache::gotoNext | ( |  | ) |
| inline

sets internal cursor to next position in cache list

Returns
  OFTrue if successful, OFFalse if new position is invalid

References List, and OFListIterator().

## ◆ isElem()

OFBool DVStudyCache::isElem | ( | const OFString & | uid | ) |
| inline

checks whether an item with the specified UID exists in the cache list

Parameters

  uid | UID which should be checked

Returns
  OFTrue if such an item exists, OFFalse otherwise

References List, OFListIterator(), and DVStudyCache::ItemStruct::UID.

## ◆ updateStatus()

void DVStudyCache::updateStatus | ( |  | ) |
| inline

updates hierarchical/review status for all list items.

Returns
  resulting review status (summary of all items)

References DVStudyCache::ItemStruct::List, List, OFListIterator(), DVStudyCache::ItemStruct::Status, and DVSeriesCache::updateStatus().

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvcache.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2